<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

// 여분필드(wr_tags필드를 테이블에서 추가하세요)
// 태그추가
//  $sql = " update $write_table set wr_tags = '$wr_tags' where wr_id = '$wr_tags' ";
//  sql_query($sql);
// 이모티콘업데이트
//  $sql = " update $write_table set wr_emot = '$wr_emot' where wr_id = '$wr_emot' ";
//  sql_query($sql);

//print_r2($_FILES); exit;

$data_path = $g4[path]."/data/file/$bo_table";
$thumb_path = $data_path.'/thumb';

if ($_FILES[bf_file][name][0])
{
    $row = sql_fetch(" select * from $g4[board_file_table] where bo_table = '$bo_table' and wr_id = '$wr_id' and bf_no = '0' ");

    $file = $data_path .'/'. $row[bf_file];
    if (preg_match("/\.(jp[e]?g|gif|png)$/i", $file)) {
        $size = getimagesize($file);
        if ($size[2] == 1)
            $src = imagecreatefromgif($file);
        else if ($size[2] == 2)
            $src = imagecreatefromjpeg($file);
        else if ($size[2] == 3)
            $src = imagecreatefrompng($file);
        else
            break;

        $rate = $thumb_width / $size[0];
        $height = (int)($size[1] * $rate);

        @unlink($thumb_path.'/'.$wr_id);
        // 계산된 높이가 설정된 높이보다 작다면
        if ($height < $thumb_height)
            $dst = imagecreatetruecolor($thumb_width, $height);
        else
            $dst = imagecreatetruecolor($thumb_width, $thumb_height);
        imagecopyresampled($dst, $src, 0, 0, 0, 0, $thumb_width, $height, $size[0], $size[1]);
        imagejpeg($dst, $thumb_path.'/'.$wr_id, $thumb_quality);
        chmod($thumb_path.'/'.$wr_id, 0606);
    }
}

// 썸네일 이미지 삭제 
@unlink("$g4[path]/data/file/$bo_table/thumb/$write[wr_id]"); //썸네일 삭제
@unlink("$g4[path]/data/file/$bo_table/thumbphoto/$write[wr_id]"); //썸네일 삭제
?>